X2Go Bug report logs - #587
x2goclient is missing VcXsrv/zlib1.dll

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Ivan Kozik <ivan@ludios.org>

Date: Fri, 29 Aug 2014 07:10:01 UTC

Severity: normal

Tags: build-win32, pending

Found in version 4.0.2.1

Fixed in versions 4.0.2.1+hotfix1+build4, 4.0.3.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Fri, 29 Aug 2014 07:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Kozik <ivan@ludios.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Aug 2014 07:10:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Ivan Kozik <ivan@ludios.org>
To: submit@bugs.x2go.org
Subject: x2goclient is missing VcXsrv/zlib1.dll
Date: Fri, 29 Aug 2014 07:08:01 +0000
Package: x2goclient
Severity: critical
Version: 4.0.2.1

x2goclient-4.0.2.1+hotfix1+build3-setup.exe does not install
VcXsrv/zlib1.dll, which leads X2Go Client to fail to connect with
"Can't start X Server / Please check your installation".  You can also
check by running vcxsrv.exe and seeing the missing-DLL dialog.

This worked fine with x2goclient-4.0.2.0-setup.exe

Thanks,

Ivan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Fri, 29 Aug 2014 09:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <x2go-ml-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Aug 2014 09:30:02 GMT) Full text and rfc822 format available.

Message #10 received at 587@bugs.x2go.org (full text, mbox):

From: Stefan Baur <x2go-ml-1@baur-itcs.de>
To: Ivan Kozik <ivan@ludios.org>, 587@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#587: x2goclient is missing VcXsrv/zlib1.dll
Date: Fri, 29 Aug 2014 11:20:49 +0200
Am 29.08.2014 um 09:08 schrieb Ivan Kozik:
> Package: x2goclient
> Severity: critical
> Version: 4.0.2.1
> 
> x2goclient-4.0.2.1+hotfix1+build3-setup.exe does not install
> VcXsrv/zlib1.dll, which leads X2Go Client to fail to connect with
> "Can't start X Server / Please check your installation".  You can also
> check by running vcxsrv.exe and seeing the missing-DLL dialog.
> 
> This worked fine with x2goclient-4.0.2.0-setup.exe

Unable to confirm (Windows 7 x86).
Fresh install of x2goclient-4.0.2.1+hotfix1+build3-setup.exe, running
the actual setup.

zlib1.dll *is* there, it's in the x2goclient main directory, though.
Not in the VcXsrv subdirectory.
x2goclient connects just fine and starts VcXsrv.

If you're missing the zlib1.dll, check that you don't have an
overzealous virus scanner that might have quarantined it by accident.

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Fri, 29 Aug 2014 09:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Kozik <ivan@ludios.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Aug 2014 09:50:02 GMT) Full text and rfc822 format available.

Message #15 received at 587@bugs.x2go.org (full text, mbox):

From: Ivan Kozik <ivan@ludios.org>
To: 587@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#587: x2goclient is missing VcXsrv/zlib1.dll
Date: Fri, 29 Aug 2014 09:49:23 +0000
(Sending again to the right address, sorry)

On Fri, Aug 29, 2014 at 9:20 AM, Stefan Baur <x2go-ml-1@baur-itcs.de> wrote:
> Unable to confirm (Windows 7 x86).
> Fresh install of x2goclient-4.0.2.1+hotfix1+build3-setup.exe, running
> the actual setup.
>
> zlib1.dll *is* there, it's in the x2goclient main directory, though.
> Not in the VcXsrv subdirectory.

I do have a zlib1.dll in the x2goclient main directory, but that
wasn't enough to make VcXsrv work.

> x2goclient connects just fine and starts VcXsrv.

I found the problem: it looks like it works only when you start
x2goclient with the current directory set to the install directory (in
my case, "C:\Program Files (x86)\x2goclient").  It does ship with a
working shortcut, but I made my own that didn't set up the cwd
properly.

In my case, it was because runas didn't pass through the "Start In" directory:

C:\Windows\System32\runas.exe /savecred /profile /user:x2go
"C:\Program Files (x86)\x2goclient\x2goclient.exe"

but it can also happen if you just have the wrong "Start In" directory
on the shortcut.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Fri, 29 Aug 2014 11:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Aug 2014 11:05:02 GMT) Full text and rfc822 format available.

Message #20 received at 587@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ivan Kozik <ivan@ludios.org>, 587@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#587: Bug#587: x2goclient is missing VcXsrv/zlib1.dll
Date: Fri, 29 Aug 2014 11:04:31 +0000
[Message part 1 (text/plain, inline)]
Control: close -1
Control: tag -1 not-a-bug

On  Fr 29 Aug 2014 11:49:23 CEST, Ivan Kozik wrote:

> (Sending again to the right address, sorry)
>
> On Fri, Aug 29, 2014 at 9:20 AM, Stefan Baur <x2go-ml-1@baur-itcs.de> wrote:
>> Unable to confirm (Windows 7 x86).
>> Fresh install of x2goclient-4.0.2.1+hotfix1+build3-setup.exe, running
>> the actual setup.
>>
>> zlib1.dll *is* there, it's in the x2goclient main directory, though.
>> Not in the VcXsrv subdirectory.
>
> I do have a zlib1.dll in the x2goclient main directory, but that
> wasn't enough to make VcXsrv work.
>
>> x2goclient connects just fine and starts VcXsrv.
>
> I found the problem: it looks like it works only when you start
> x2goclient with the current directory set to the install directory (in
> my case, "C:\Program Files (x86)\x2goclient").  It does ship with a
> working shortcut, but I made my own that didn't set up the cwd
> properly.
>
> In my case, it was because runas didn't pass through the "Start In"  
> directory:
>
> C:\Windows\System32\runas.exe /savecred /profile /user:x2go
> "C:\Program Files (x86)\x2goclient\x2goclient.exe"
>
> but it can also happen if you just have the wrong "Start In" directory
> on the shortcut.

Thanks for reporting your observed issue.

I close this bug as the problem seems to be related to your setup.

Launching X2Go Client always requires to cwd to its installation  
directory, otherwise its DLLs will not be found.

We won't register the shipped cygwin-based DLLs system-wide as the  
danger of interference with other cygwin-based applications is too high.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 587-submit@bugs.x2go.org. (Fri, 29 Aug 2014 11:05:02 GMT) Full text and rfc822 format available.

Notification sent to Ivan Kozik <ivan@ludios.org>:
Bug acknowledged by developer. (Fri, 29 Aug 2014 11:05:02 GMT) Full text and rfc822 format available.

Added tag(s) not-a-bug. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 587-submit@bugs.x2go.org. (Fri, 29 Aug 2014 11:05:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Fri, 29 Aug 2014 11:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Kozik <ivan@ludios.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Aug 2014 11:50:02 GMT) Full text and rfc822 format available.

Message #31 received at 587@bugs.x2go.org (full text, mbox):

From: Ivan Kozik <ivan@ludios.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 587@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#587: Bug#587: x2goclient is missing VcXsrv/zlib1.dll
Date: Fri, 29 Aug 2014 11:46:42 +0000
On Fri, Aug 29, 2014 at 11:04 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Thanks for reporting your observed issue.
>
> I close this bug as the problem seems to be related to your setup.
>
> Launching X2Go Client always requires to cwd to its installation directory,
> otherwise its DLLs will not be found.

I don't think this is true - like almost all programs, x2goclient.exe
starts fine with an incorrect cwd.  The problem arises only when
x2goclient tries to start VcXsrv.

Also, it's rather hard to figure out the source of the problem from
the "Can't start X Server / Please check your installation" message.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Fri, 29 Aug 2014 12:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Aug 2014 12:45:02 GMT) Full text and rfc822 format available.

Message #36 received at 587@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 587@bugs.x2go.org
Subject: I believe I should fix this
Date: Fri, 29 Aug 2014 08:40:59 -0400
On Fri, Aug 29, 2014 at 11:04 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Thanks for reporting your observed issue.
>
> I close this bug as the problem seems to be related to your setup.
>
> Launching X2Go Client always requires to cwd to its installation directory,
> otherwise its DLLs will not be found.

Hi Mike#1 and Ivan,

I believe I should fix this bug. I am going to re-open it.

Unless I hear new reasons otherwise, in about 10 hours I will:
1. re-release the .zips for VcXsrv 1.14.3.2
http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-by-x2go-project/
2. update the X2GoWinBuilder VM that handles nightly builds
3. launch X2Go Client 4.0.2.1+hotfix-build4 with the fix.

This is why I believe I should fix this bug:

1. Every Windows program searches its own directory for DLLs, before
searching the PATH and cwd. This is the design of Windows. We can fix
X2GoClient being able to start successfully with your cwd being
different by including VcXsrv\zlib1.dll. There is no need to register
the DLL system-wide. And it's not a cygwin DLL anyway; its a native
Windows binary built from the VcXsrv/VcXsrv-xp source tree.

2. On my system, I can launch X2Go Client successfully from another
cwd. This includes x2goclient.exe, vcxsrv.exe, sshd.exe (cygwin) and
nxproxy.exe (cygwin). The only reason vcxsrv.exe does work is that I
have c:\gnuwin\bin\ZLIB1.dll in my PATH, where as most users likely do
not have any zlib1.dll in their PATH. (I determined this using
Dependency Walker.)

3. My manual build instructions state that I should include
VcXsrv\zlib1.dll. During the manual build process, I included
VcXsrv\xwininfo.exe instead of zlib1.dll.

4. We should provide vcxsrv.exe with its own zlib1.dll. It is
VcXsrv-xp's own version of the file for reasons mentioned in #1.

Respectfully,
-Mike#2


Bug reopened Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 29 Aug 2014 12:50:01 GMT) Full text and rfc822 format available.

Removed tag(s) not-a-bug. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 29 Aug 2014 12:50:01 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'critical' Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 29 Aug 2014 12:50:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Fri, 29 Aug 2014 12:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Aug 2014 12:55:02 GMT) Full text and rfc822 format available.

Message #47 received at 587@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 587@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#587: I believe I should fix this
Date: Fri, 29 Aug 2014 12:54:14 +0000
[Message part 1 (text/plain, inline)]
Control: reopen -1
Control: tag -1 - not-a-bug

Hi Mike#2,


On  Fr 29 Aug 2014 14:40:59 CEST, Michael DePaulo wrote:

> On Fri, Aug 29, 2014 at 11:04 AM, Mike Gabriel
> <mike.gabriel@das-netzwerkteam.de> wrote:
>> Thanks for reporting your observed issue.
>>
>> I close this bug as the problem seems to be related to your setup.
>>
>> Launching X2Go Client always requires to cwd to its installation directory,
>> otherwise its DLLs will not be found.
>
> Hi Mike#1 and Ivan,
>
> I believe I should fix this bug. I am going to re-open it.
>
> Unless I hear new reasons otherwise, in about 10 hours I will:
> 1. re-release the .zips for VcXsrv 1.14.3.2
> http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-by-x2go-project/
> 2. update the X2GoWinBuilder VM that handles nightly builds
> 3. launch X2Go Client 4.0.2.1+hotfix-build4 with the fix.
>
> This is why I believe I should fix this bug:
>
> 1. Every Windows program searches its own directory for DLLs, before
> searching the PATH and cwd. This is the design of Windows. We can fix
> X2GoClient being able to start successfully with your cwd being
> different by including VcXsrv\zlib1.dll. There is no need to register
> the DLL system-wide. And it's not a cygwin DLL anyway; its a native
> Windows binary built from the VcXsrv/VcXsrv-xp source tree.
>
> 2. On my system, I can launch X2Go Client successfully from another
> cwd. This includes x2goclient.exe, vcxsrv.exe, sshd.exe (cygwin) and
> nxproxy.exe (cygwin). The only reason vcxsrv.exe does work is that I
> have c:\gnuwin\bin\ZLIB1.dll in my PATH, where as most users likely do
> not have any zlib1.dll in their PATH. (I determined this using
> Dependency Walker.)
>
> 3. My manual build instructions state that I should include
> VcXsrv\zlib1.dll. During the manual build process, I included
> VcXsrv\xwininfo.exe instead of zlib1.dll.
>
> 4. We should provide vcxsrv.exe with its own zlib1.dll. It is
> VcXsrv-xp's own version of the file for reasons mentioned in #1.
>
> Respectfully,
> -Mike#2

Thanks for this explanation. Agreeing. Bug already reopened.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Sat, 30 Aug 2014 18:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 30 Aug 2014 18:20:02 GMT) Full text and rfc822 format available.

Message #52 received at 587@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 587@bugs.x2go.org
Subject: I'll work on this within the next few days
Date: Sat, 30 Aug 2014 14:15:50 -0400
Control: tags 587 build-win32

Sorry, I didn't get time to work on this yesterday. I'll work on it
within the next few days.


Added tag(s) build-win32. Request was from Michael DePaulo <mikedep333@gmail.com> to 587-submit@bugs.x2go.org. (Sat, 30 Aug 2014 18:20:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Tue, 02 Sep 2014 01:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 02 Sep 2014 01:50:02 GMT) Full text and rfc822 format available.

Message #59 received at 587@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 587@bugs.x2go.org
Subject: Fixed in 4.0.2.1+hotfix1+build4
Date: Mon, 1 Sep 2014 21:49:20 -0400
Control: fixed -1 4.0.2.1+hotfix1+build4

I've already uploaded the fixed build to:
http://code.x2go.org/releases/binary-win32/x2goclient/releases/4.0.2.1+hotfix1+build4/
I will continue with the rest of the release process.


Marked as fixed in versions 4.0.2.1+hotfix1+build4. Request was from Michael DePaulo <mikedep333@gmail.com> to 587-submit@bugs.x2go.org. (Tue, 02 Sep 2014 01:50:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Tue, 02 Sep 2014 02:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 02 Sep 2014 02:15:02 GMT) Full text and rfc822 format available.

Message #66 received at 587@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 587-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 587@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 2 Sep 2014 04:10:24 +0200 (CEST)
tag #587 pending
fixed #587 4.0.3.0
thanks

Hello,

X2Go issue #587 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ac3a519

The issue will most likely be fixed in src:x2goclient (4.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit ac3a519c04e3852f1e1c66fdf062aaa1a928b1f8
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Mon Sep 1 22:10:19 2014 -0400

    Update changelog for: Windows: Fix missing VcXsrv/zlib1.dll (Fixes: #587)

diff --git a/debian/changelog b/debian/changelog
index 36b4f32..7886078 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -47,6 +47,10 @@ x2goclient (4.0.3.0-0x2go1) UNRELEASED; urgency=low
       groups optional: misc, 75dpi, 100dpi and others (Fixes: #108)
       Note: The fact that all the fonts are included makes the installer about
       30MB larger.
+    - Windows: Fix missing VcXsrv/zlib1.dll . The impact of this bug was that
+      VcXsrv would not start if the cwd was changed from the x2goclient
+      directory. (The start menu and desktop shortcuts do have the x2goclient
+      directory as the cwd. So they were not affected.) (Fixes: #587)
     - Windows: Make the desktop shortcut optional during install,
       but still the default.
     - Windows: Win32 OpenSSL updated from 1.0.1h to 1.0.1i, which fixes the


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 02 Sep 2014 02:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.3.0. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 02 Sep 2014 02:15:02 GMT) Full text and rfc822 format available.

Message sent on to Ivan Kozik <ivan@ludios.org>:
Bug#587. (Tue, 02 Sep 2014 02:15:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#587; Package x2goclient. (Tue, 21 Oct 2014 11:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 21 Oct 2014 11:30:12 GMT) Full text and rfc822 format available.

Message #78 received at 587@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 587-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 587@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 21 Oct 2014 13:26:13 +0200 (CEST)
close #587
thanks

Hello,

we are very hopeful that X2Go issue #587 reported by you
has been resolved in the new release (4.0.3.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=04ed56d4162f000b093bea13aa2582c2de718144;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.0-0x2go1
Status: RELEASE
Date: Tue, 21 Oct 2014 12:38:56 +0200
Fixes: 108 159 253 258 336 474 522 525 566 568 571 580 587 590 597 603 607 608 609 612 636
Changes: 
 x2goclient (4.0.3.0-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.0):
     - Disallow server-side users to override X2Go Server commands via
       ~/bin (or similar). (Fixes: #336).
     - Avoid unitialised variables on early calls of ONMainWindow::closeEvent()
       or ONMainWindow::closeClient(). (Fixes: #253).
     - Update translation files. Add empty Portuguese translation. Update
       qt_<lang>.qm files from Debian unstable as of today.
     - Update German translation file (after session folder feature got added).
     - Makefile.man2html: Test if man2html exists. If not, don't fail.
     - Honor exports (client-side shared folders) from broker session profiles.
       Thanks to Ming Song for providing a patch for this (Fixes: 612).
   * debian/control:
     + Add B-D: apache2-dev. On squeeze / lucid builds, this is a superfluous
       B-D, but for later Debian/Ubuntu versions, this smoothes the installation
       of the x2goplugin-provide bin:package.
     + Update B-D: apache2-dev | libc6-dev. The apache2-dev package does not
       exist on all Debian/Ubuntu versions.
   * x2goclient.spec:
     + Adapt to building for openSUSE/SLES.
     + openSUSE: Make Qt4 Linguist tools available for Makefile.
     + Upgrade versioned BR for libssh-devel (0.6.3 or patched 0.5.5).
     + The libqt4-linguist split off happened in openSUSE 13.1.
     + Add x2goclient-rpmlintrc file.
     + In openSUSE, it is openldap2-devel, in Fedora/RHEL it is openldap-devel.
     + In openSUSE, openssh is openssh (not openssh-clients / openssh-server).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.0):
     - Fix running x2goclient without arguments on Windows. (Fixes: #522).
     - Save proxy output in $HOME/S-$SESSION-ID/session.log if debugging is
       enabled.
     - Fork x2goclient on windows and terminate child processes if X2Go Client
       crashed. (Fixes: #159).
     - Add "clipboard" parameter to session profile and to command line options.
       (Fixes: #258).
     - Replace qCritical() with printError() by argument parsing.
     - Update translation files.
     - Update russian translation.
     - Update string "&Clipboard Mode" and translate in russian translation file.
     - Grammar fix in russian translation.
     - Add x2gohelper to start X2Go Client on Windows and clean child processes
       if X2Go Client crashes. (Fixes: #525).
     - On Windows rename x2goclient.exe to x2goclient-mainprocess.exe and
       x2gohelper.exe to x2goclient.exe.
     - Start x2gohelper from X2Go Client. Revert name changing of X2Go Client and
       x2gohelper.
     - Add Makefile for x2gohelper.
     - Add support for sessions folders.
     - Add folder explorer: a GUI to manage of session subfolders.
     - Support for sessions subfolders in sessionmanagedialog.
     - Session name autocompletion only for sessions in current folder.
     - Support for session subfolders and command-line options "--session"
       and "--sessionid".
     - Disable session explorer "back" button if user sessions are disabled.
     - Include <QDir> in sessionexplorer.cpp.
     - Remove deprecated workaround in wapi.cpp.
     - Save folder icons Base64 coded. Save icons under General\icon_<PATH>.
       (Fixes: #580).
     - Fix placing sessions folders in broker mode.
     - Fix onmainwindow.cpp after 76ae96781f1d2d5754ee4751539d5de47f1d0297.
     - Add support for session selection in broker mode.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.0):
     - Make X2Go Client aware of the Cinnamon (CINNAMON) desktop environment.
       (Fixes: #571)
     - Make X2Go Client aware of the Trinity (TRINITY) desktop environment.
       (Fixes: #609)
     - Make X2Go Client aware of the Openbox (OPENBOX) window manager.
       (Fixes: #607)
     - Make X2Go Client aware of the IceWM (ICEWM) window manager.
       (Fixes: #608)
     - Windows: Fix not being able to add the server to the known_hosts file when
       the username has non-English characters. (Fixes: #566)
       (NOTE: This fix only works when the non-English characters are in the same
       language as the Windows "system locale" AKA "Language for non-Unicode
       programs." Bug #611 was written for fixing the issue for languages other
       than the system locale.)
       Thanks George Trakatelis (uom.edu.gr) for submitting part of this fix.
     - Windows: Install VcXsrv "misc" fonts by default, and make all 4 font
       groups optional: misc, 75dpi, 100dpi and others (Fixes: #108)
       Note: The fact that all the fonts are included makes the installer about
       30MB larger.
     - Windows: Bundle new version of VcXsrv: 1.15.2.1-xp+vc2013+x2go1
       This new version is based on upstream VcXsrv 1.15.2.0, but still
       compatible with Windows XP. It also has its bundled OpenSSL updated to
       1.0.1j. It is compiled with Microsoft Visual C++ 2013 and contains 1
       X2Go-specific change, winmultiwindow.patch. This patch fixes an issue
       when resizing the NX-proxy window on specific multiple monitor setups.
       (Thanks Oleksandr Shneyder for the patch) (Fixes: #568) (Fixes: #594)
     - Windows: Port from MinGW 4.4 + Qt 4.8.5 to MinGW 4.8.2 + Qt 4.8.6,
       including fix for QTBUG-38706 (Fixes: #474, #603)
     - Windows: Fix missing VcXsrv/zlib1.dll . The impact of this bug was that
       VcXsrv would not start if the cwd was changed from the x2goclient
       directory. (The start menu and desktop shortcuts do have the x2goclient
       directory as the cwd. So they were not affected.) (Fixes: #587)
     - Windows: Make the desktop shortcut optional during install,
       but still the default.
     - Windows: Upgrade libssh from 0.5.5 to 0.6.3. This fixes connecting to
       hpn-enabled SSH servers. The Pageant support patch from the KDE Windows
       project was ported to 0.6.3 by myself and Mike Frederick.
       (Gmail: psududemike) (Fixes: #590)
     - Windows: Win32 OpenSSL updated from 1.0.1h to 1.0.1j, which fixes the
       CVEs announced on 2014-08-06 & 2014-10-15.
     - Windows: Replace Cygwin Bash (sh.exe) with Cygwin Dash (ash.exe renamed
       to sh.exe). This also means fewer Cygwin .DLLs are bundled.
       (Fixes: #636)
     - Windows: cygwin packages (excluding OpenSSH, which is at the patched
       version of 6.6.1p1-3-x2go1) updated from latest versions as of 2014-06-09
       to latest versions as of 2014-10-18. This includes openssl 1.0.1j-1, which
       fixes the CVEs announced on 2014-08-06 & 2014-10.15.
       (Cygwin openssl was also individually updated in 4.0.2.1+hotfix1+build2,
       but only to 1.0.1i-1.)
     - Windows: Build nxproxy.exe with Cygwin's libpng 1.5.x rather than 1.2.x.
       (This may improve performance when PNG compression is selected.)
     - Windows: Build cygwin openssh without krb5 or tcp_wrappers support because
       X2Go Client for Windows does not use either feature.
       (On Windows, Kerberos 5 (GSSAPI) support is provided by PuTTY.)
     - Windows: Fix text not being rendered properly at end of NSIS installer
       (Fixes: #597)
 .
   [ Stefan Baur ]
   * New upstream version (4.0.3.0):
     - Update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.3.0):
     - Update Spanish translation file.
 .
   [ Martti Pitkanen ]
   * New upstream version (4.0.3.0):
     - Update Finnish translation file.
 .
   [ Jos Wolfram ]
   * New upstream version (4.0.3.0):
     - Update Dutch translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.0.3.0):
     - Add Estonian translation file.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.3.0):
     - Update Bokmal (Norway) translation file.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.3.0):
     - Update Swedish translation file.
 .
   * Translation status:
     OK - Updating 'x2goclient/x2goclient_de.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_da.qm'...
       Generated 536 translation(s) (526 finished and 10 unfinished)
       Ignored 30 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_es.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_et.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_fi.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_fr.qm'...
       Generated 254 translation(s) (201 finished and 53 unfinished)
       Ignored 312 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_nb_no.qm'...
        Generated 566 translation(s) (566 finished and 0 unfinished)
     OK - Updating 'x2goclient/x2goclient_nl.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     UNTRANSLATED - Updating 'x2goclient/x2goclient_pt.qm'...
       Generated 0 translation(s) (0 finished and 0 unfinished)
       Ignored 566 untranslated source text(s)
     INCOMPLETE - Updating 'x2goclient/x2goclient_ru.qm'...
       Generated 552 translation(s) (543 finished and 9 unfinished)
       Ignored 14 untranslated source text(s)
     OK - Updating 'x2goclient/x2goclient_sv.qm'...
       Generated 566 translation(s) (566 finished and 0 unfinished)
     INCOMPLETE - Updating 'x2goclient/x2goclient_zh_tw.qm'...
       Generated 397 translation(s) (372 finished and 25 unfinished)
       Ignored 169 untranslated source text(s)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 21 Oct 2014 11:30:26 GMT) Full text and rfc822 format available.

Notification sent to Ivan Kozik <ivan@ludios.org>:
Bug acknowledged by developer. (Tue, 21 Oct 2014 11:30:26 GMT) Full text and rfc822 format available.

Message sent on to Ivan Kozik <ivan@ludios.org>:
Bug#587. (Tue, 21 Oct 2014 11:30:46 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 19 Nov 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue May 21 22:44:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.